### Method

# Fwupd Client self_sign

since: 1.2.6

#### Declaration [src]

    gchar*
    fwupd_client_self_sign (
      FwupdClient* self,
      const gchar* value,
      FwupdSelfSignFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Signs the data using the client self-signed certificate.

Available since: 1.2.6

#### Parameters

`value`

  Type: `const gchar*`

  A string to sign, typically a JSON blob.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FwupdSelfSignFlags`

  Signing flags, e.g. `FWUPD_SELF_SIGN_FLAG_ADD_TIMESTAMP`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A signature, or `NULL` for failure.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.